/*!
* Theme Name: 		   astra-child
* Text Domain: 	   astra
* Template:           astra
* Version:            3.4.1
* Tested up to:       6.1.1
* Requires at least:  5.6
* Requires PHP:       7.2
* Author:             Code Calibre Team
* Author URI:         https://codecalibre.com/
* Theme URI:          https://codecalibre.com/
* Description:        astra-child is the perfect theme for your project. There is any issue or new funtionality, visit: https://codecalibre.com/
*/

p {
  margin-bottom: 0.8rem !important;
}
.site-title a,
.site-title a:visited {
	display: none;
}
header .custom-logo-link img {
		position: absolute;
		top:0;
		left:0;
	}
.ast-site-identity {
	padding: 0 !important;
	position: absolute;
	left: 0;
	top: -59px;
}

.ast-desktop .ast-builder-menu-1 .menu-item .sub-menu .menu-link {
	line-height: 15px;
}

.wpcf7 form.sent .wpcf7-response-output {
	position: absolute;
	top: -80px;
	margin: 0;
	border: none;
}

.wpcf7 form.invalid .wpcf7-response-output {
	position: absolute;
	top: -80px;
	margin: 0;
	width: 117%;
	left: -37px;
	border: none;
}

.social-sec {
	width: 230px;
	height: 60px;
	background: #E8E8E8;
	display: flex;
	justify-content: center;
	position: absolute;
	top: 0;
	right: 0;
}

.social-sec .social-icon::before {
	content: '';
	position: absolute;
	width: 0;
	height: 0;
	border-left: 30px solid transparent;
	border-right: 30px solid transparent;
	border-top: 61px solid #E8E8E8;
	left: -29px;
}

.social-sec .social-icon {
	width: 115px;
	display: flex;
	justify-content: space-around;
}


.social-sec .social-icon a:hover {
	transform: rotate(360deg);
}

.social-sec a {
	display: flex;
	align-items: center;
	transition: ease-in-out .5s;
	cursor: pointer;
}

section#block-16>h2,
section#block-28 h2 {
	color: #FFDA5A;
}

section#block-9>p {
	color: #fff;
}

div#cust-btn svg {
	transition: ease-in 0.3s;
}

div#cust-btn:hover svg {
	filter: invert(1) !important;
	transform: translateX(5px);
}

.footer-social .f-social-icon {
	display: flex;
}

.footer-social .f-social-icon a>img {
	background:#FFDA5A;
	display: flex;
	padding: 10px;
	overflow: visible;
	margin-right: 10px;
	border-radius: 50%;
	border: 1px solid transparent;
}

.footer-social .f-social-icon a img:hover {
	filter: invert(1);
	background: #fff;
	border: 1px solid black;
}

.footer-contact .f-contact .addre>img {
	background: #FFDA5A;
	display: flex;
	padding: 9px 11px;
	overflow: visible;
	margin-right: 10px;
	border-radius: 50%;
	border: 1px solid transparent;
}

.footer-contact .f-contact .addre:hover img {
	filter: invert(1);
	background: #fff;
	border: 1px solid black;
}

.site-primary-footer-wrap.ast-builder-grid-row-container.site-footer-focus-item.ast-builder-grid-row-3-equal.ast-builder-grid-row-tablet-3-equal.ast-builder-grid-row-mobile-full.ast-footer-row-stack.ast-footer-row-tablet-stack.ast-footer-row-mobile-stack {
	background: url(/wp-content/uploads/2025/11/footer-1.png);
	  background-position: center;
    background-size: 20% auto;
	background-repeat: no-repeat;
	position: relative;
}
img.wp-image-6470 {
    width: 130px;
}

body {
    background-image: url('https://godspeedlocksmithservices.com/wp-content/uploads/2025/11/footer.png') !important;
	background-repeat: no-repeat;
    background-attachment: fixed;
    position: relative;
    background-position: center;
    background-size: 30% auto; }


body::before {
    content: "";
    position: fixed;
    inset: 0;
    background: rgb(255 255 255 / 70%);
    z-index: -1;
}

.footer-menu .f-menu a {
	display: block;
	text-decoration: none;
	font-size: 16px;
	color: #fff;
	font-family: "Poppins variant0", sans-serif;
	margin-bottom: 10px;
	transition: ease-in-out 0.5s;
}

.footer-menu .f-menu a:hover {
	color: #FFDA5A;
	margin-left: 5px;
}

.footer-contact .f-contact a {
	display: flex;
	text-decoration: none;
	color: #fff;
	align-items: center;
	margin-bottom: 10px;
}

.footer-contact .f-contact a:hover {
	color: #FFDA5A;
}

.footer-contact .f-contact a>img {
	background: #FFDA5A;
	margin-right: 10px;
	padding: 10px;
	border-radius: 50px;
	overflow: visible !important;
	border: 1px solid transparent;
	transition: ease-in-out 0.5s;
}

.footer-contact .f-contact a:hover img {
	background: #fff;
	/*       filter: invert(1); */
	transform: rotate(360deg);
	border: 1px solid #000000;

}


.head-contact .h-contact {
	align-items: center;
	display: flex;
}

.head-contact .h-contact a {
    flex-direction: column;
    text-decoration: none;
    font-size: 20px;
    color: #fff;
    font-weight: 700;
    align-items: center;
}
ul#ast-hf-menu-1 > li > a {
    font-size: 20px;
}
.head-contact .h-contact a:hover {
	text-decoration: underline;
}

.head-contact .h-contact a>img {
    margin-right: 10px;
    border-radius: 50px;
    overflow: visible !important;
    border: 1px solid transparent;
    width: 23px;
}

.column-half,
.column-full {
	float: left;
	position: relative;
	padding: 0.65rem;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box
}

.column-full {
	width: 100%;
}

.column-half {
	width: 50%;
}

.column-half p,
.column-full p {
	margin-bottom: 0 !important;
}

.wpcf7 form>div,
.wpcf7 form>p {
	margin-bottom: 0;
}

.tss-wrapper .tss-carousel3 .item-content-wrapper:before {
	content: "\F10D";
	color: #FFDA5A;
	position: absolute;
}

.item-content-wrapper:hover {
	cursor: pointer;
	background: #000000 !important;
	transform: scale(1.05);
	transition: ease-in-out 0.3s;
}

.single-item-wrapper :hover .item-content {
	color: #ffffff !important;
}

.wpcf7 form {
	position: relative;
	height: 40px;
}

#sub-input {
	background: #FDE199;
	padding: 8px 16px;
	color: black;
}

input#sub-btn {
	position: absolute;
	top: 2px;
	right: 2px;
	padding: 10px 25px;
	border-radius: 5px;
	background: black;
	color: #fff;
}

input#sub-input::placeholder {
	color: black;
}

input#sub-btn:hover {
	background: #FFDA5A;
	color: black;
}


.marquee span {
	display: inline-block;
	font-size: 100px;
	font-family: "Karla ", sans-serif;
	font-weight: 800;
	color: #E8E8E8;
	padding-left: 100%;
	animation: marquee 15s linear infinite;
}

.marquee2 span {
	display: inline-block;
	font-family: "Karla ", sans-serif;
	padding-left: 100%;
	font-size: 100px;
	font-weight: 800;
	color: #E8E8E8;
	animation-delay: 2.5s;
	animation: marquee2 15s linear infinite;
}

.elementor-element.elementor-element-56d4371 {
	margin-bottom: -50px;
	width: 70%;
	z-index: 1;
}

.profile-img-wrapper {
	position: absolute;
	top: 80px;
	z-index: 1;
}

h3.author-name {
	position: relative;
	bottom: -232px;
	z-index: 1;
}

input#full-btn {
	width: 100%;
}

.item-content-wrapper:after {
	content: '';
	position: absolute;
	left: 50%;
	bottom: -40%;
	transform: translate(-50%, -50%);
	height: 5px;
	border-left: 60px solid transparent;
	border-right: 60px solid transparent;
	border-top: 80px solid #f8f8f8;
	transition: ease-in-out 0.3s;
	z-index: -1;
}

.item-content-wrapper:hover :after {
	border-top: 80px solid black;
	transform: scale(1.05);
}

.tss-carousel.swiper {
	height: 500px;
}

.tss-wrapper .tss-carousel3 .item-content-wrapper {
	background: #f8f8f8;
	height: 240px;
	transition: ease-in-out 0.3s;
}

.item-content-wrapper:hover::after {
	border-top: 80px solid #000000;
	transition: ease-in-out 0.3s;
}

.item-content-wrapper {
	transition: ease-in-out 0.3s;
}

.footer-widget-area[data-section="section-fb-html-1"] .ast-builder-html-element {
    height: 50px;
}
div#es_form_f1-n1 {
    position: relative;
}
.subscribe {
  display: flex;
	margin:auto;
	position:relative;
  border-radius: 10px;
  width: 80%;
  padding: 25px;
  background: #FFDA5A;
  align-items: center;
  justify-content: space-around;
	z-index:99;
}
input#irgf {
    top: 2px;
    position: absolute;
    right: 2px;
    border-radius: 5px;
}
input#esfpx_email_0fe74ada6116e {
    background: #FDE199;
    border: none;
    width: 370px;
}
input#esfpx_email_0fe74ada6116e::placeholder {
    color:#000000;
}

p.subscribe__copy {
    margin: 0;
}
p.subscribe__copy {
    text-align: start;
}
.e-con.e-con>.e-con-inner>.elementor-widget,
.elementor.elementor .e-con>.elementor-widget {
	max-width: 100%;
}

.elementor-element-892dfd4 {
	position: relative;
	overflow-x: hidden;
}

.shadow-pop-br {
	cursor: pointer;
}

.godspeed-locksmith{
	height:250px;
}
.shadow-pop-br:hover {
	animation: shadow-pop-br .3s cubic-bezier(.47, 0.000, .745, .715) both;
	border: 1px solid black;
}
.profile-img-wrapper >img {
    width: 100px;
}
.text-shadow {
	font-style: italic;
	text-transform: uppercase;
	color: transparent;
	-webkit-text-stroke: #000000;
	-webkit-text-stroke-width: 1px;
	text-shadow: 2px 2px 10px $blue;
	transition: all 0.5s ease-in-out;
	text-align: center;
	letter-spacing: 0.2em;
	animation: flicker 0.5s ease-in-out infinite alternate;
	font-size: 2.5em;
	font-weight:900;
/* 	text-decoration: underline; */
}
.ast-excerpt-container.ast-blog-single-element p {
    color: #000000 !important;
}

	@media (max-width: 768px) {
		font-size: 1.3em;
	}

	&:hover {
		color: #000000;
	}
}
.elementor-widget-image-box .elementor-image-box-wrapper {
	border: 1px solid transparent;
	box-shadow: 0px 0px 10px 1px #a8a8a8;
	transition: 0.3s ease-in-out;
	height:500px;
	cursor:pointer;
}
.elementor-widget-image-box .elementor-image-box-wrapper:hover {
    scale: 1.05;
    border: 1px solid black;
/* 	box-shadow: 5px 5px 5px #FFB800; */
}
p.elementor-image-box-description {
    padding: 10px;
}
.elementor-image-box-title {
    padding: 10px;
	line-height:17px;
	text-decoration:none;
	margin: 0px !important;
}
.elementor-image-box-title a{
    text-decoration:none !important;
}
/* .site-above-footer-wrap[data-section="section-above-footer-builder"] {
    z-index: 1;
} */
/* .footer-widget-area[data-section="section-fb-html-1"] .ast-builder-html-element {
    display: flex;
	justify-content:space-between
} */
.tss-wrapper .tss-carousel3 .item-content {
    line-height: 17px;
	margin:10px;
}
.feature-div,.inner-icon{
	mix-blend-mode: multiply;
	transition: ease-in-out .2s;
}
.feature-div:hover .inner-icon {
/*     transform: translatey(-50%); */
    scale: 1.05;
}
img.attachment-full.size-full.wp-image-1903{
/*     transition: ease-in-out .2s; */
}
img.attachment-full.size-full.wp-image-1903:hover {
    scale: 1.05;
}
img.attachment-large.size-large.wp-image-1904 {
/*     transition: ease-in-out .2s; */
}
img.attachment-large.size-large.wp-image-1904:hover {
    scale: 1.05;
}
.feature-div:hover {
    background:#b9b5ac !important;
	border-radius:10px;
	cursor:pointer;
	border:1px solid transparent !important;
}
.feature-div:hover .inner-icon img {
/* 	transition: ease-in-out .2s; */
    border-radius: 50%;
	border:1px solid transparent;
}
input#irgf:hover {
    background: #FFDA5A;
    color: #fff;
	
}
.ast-builder-grid-row.ast-grid-center-col-layout {
    grid-template-columns: auto auto;
}
.site-header-above-section-left.site-header-section.ast-flex.site-header-section-left {
    display: none;
}
.head-contact .h-contact {
    align-items: center;
    display: flex;
    margin-left: 250px;
}
@keyframes marquee2 {
	0% {
		transform: translate(0, 0);
	}

	100% {
		transform: translate(-100%, 0);
	}
}

@keyframes marquee {
	100% {
		transform: translate(0, 0);
	}

	0% {
		transform: translate(-100%, 0);
	}
}
.subscribe .form a {
    color: #fff;
    display: flex;
    align-items: center;
    gap: 10px;
}
.subscribe .form a:hover{
    color: #000;
}
.subscribe .form a:hover img {
    filter: brightness(0);
}
#areaserver-list .elementor-widget-container > ul li:hover {
  margin-left: 10px !important;
  transition: all 0.3s ease-in-out;
}
#areaserver-list .elementor-widget-container > ul li {
	cursor:pointer !important;
  transition: all 0.3s ease-in-out;
}

.serve-heading span{
	white-space:nowrap;
}

.services-section .services-desc{
	height:220px;
}

/* services */
.services{
	height:500px;
}
.services .elementor-image-box-description{
	padding-bottom:20px;
	height:150px;
	overflow:hidden;
}

@media only screen and (min-width: 1360px) {
	.cd__main {
		max-width: 1280px;
		margin-left: auto;
		margin-right: auto;
		padding: 24px;
	}

	.elementor-element.elementor-element-56d4371 {
		padding: 30px;
	}
	.tss-wrapper .tss-carousel3 .item-content {
    line-height: 20px;
	margin:10px;
	}
}
@media (max-width:1275px){
	.head-contact .h-contact {
	  margin-left:0px;
	}
	.h-contact :nth-child(1){
		visibility:visible;
	}
	.h-contact a {
		padding: 0 !important;
		border-left: none !important;
		margin-left: 0px;
		margin-right: 80px;
  }
	header .custom-logo-link img {
		max-width: 225px;
		position: absolute;
    	top: 58px;
	}
	.site-footer-primary-section-1{
		margin-left: 28px;
	}
}
@media (max-width:1088px) {
	.tss-wrapper .tss-carousel3 .item-content {
    line-height: 15px ;
	font-size:15px;
	margin:0 10px;
	}
	
}
@media (min-width:1025px) and  (max-width:1088px){
	ul#ast-hf-menu-1 > li > a {
  font-size: 16px;
}
		.head-contact .h-contact {
	  margin-left:0px;
	}
	.h-contact :nth-child(1){
		visibility:visible;
	}
	.h-contact a {
		padding: 0 !important;
		border-left: none !important;
		margin-left: 0px;
		margin-right: 80px;
  }
	header .custom-logo-link img {
		max-width: 225px;
		position: absolute;
    	top: 58px;
	}
	.h-contact :nth-child(3) {
    padding-left: 0px;
		position:relative;
		right:65px;
}
	.h-contact a{
		border-left:none;
	}
	.site-footer-primary-section-1{
		margin-left: 28px;
	}
}

@media (max-width:1024px) {
	.elementor-element.elementor-element-56d4371 {
		top: 80px;
	}
	.head-contact .h-contact {
	  margin-left:0px;
	}
	.h-contact :nth-child(1){
		visibility:visible;
	}
	.h-contact a {
		padding: 0 !important;
		border-left: none !important;
		margin-left: -40px;
		margin-right: 80px;
  }
	header .custom-logo-link img {
		max-width: 225px;
		position: absolute;
    	top: 58px;
	}
	ul#ast-hf-menu-1 > li > a {
  font-size: 16px;
}
	.godspeed-locksmith{
	height:100%;
}
	
	.site-header-primary-section-center.site-header-section.ast-flex.ast-grid-section-center {
    align-items: end;
    justify-content: end;
}
	.tss-wrapper .tss-carousel3 .item-content {
    line-height: 14px !important;
	font-size:14px;
	margin:0 10px;
	}
	p.subscribe__copy {
    font-size: 20px;
}
	input#esfpx_email_0fe74ada6116e {
    width: width: 350px;
}
	footer#colophon {
		padding-top: 14%;
	}
	.site-footer-primary-section-1{
		margin-left: 28px;
	}
}

@media (max-width:918px) {
	header .custom-logo-link img {
		max-width: 225px;
		position: absolute;
    	top: 58px;
	}

	.ast-header-break-point .ast-site-identity {
		width: 50%;
	}

	.menu-toggle.main-header-menu-toggle.ast-mobile-menu-trigger-outline {
		z-index: 1;
	}

	.marquee span {
		font-size: 70px;
	}

	.marquee2 span {
		font-size: 70px;
	}

	.ast-builder-footer-grid-columns {
		padding: 10px 70px;
	}

	.elementor-element.elementor-element-56d4371 {
		top: 70px;
		flex-direction: column;
		padding: 30px;
	}

	.tss-wrapper .single-item-wrapper .item-content {
		font-size: 13px;
		margin-top: 10px;
	}

	.tss-wrapper .tss-carousel3 .item-content {
		font-size: 15px;
		line-height: 15px;
	}
	.subscribe {
    display: flex;
    flex-direction: column;
/* 	padding:18px; */
	}
	p.subscribe__copy {
    margin-bottom: 5px;
		text-align:center;
	}
	
	/* 	footer */
	.bbb-part{
		text-align:center;
	}
	.bbb-part a img{
		margin-bottom:10px;
	}
}

@media (max-width:768px) {
	.elementor-element.elementor-element-56d4371 {
		top: 15px;
	}

	.tss-wrapper .single-item-wrapper .item-content {
		font-size: 14px;
	}

	.ast-header-break-point .ast-site-identity {
		width: 50% !important;
	}

	header .custom-logo-link img {
		position: absolute;
		top: 59px;
		max-width: 223px;
	}
	/* 	footer */
	.bbb-part{
		text-align:center;
	}
	.bbb-part a img{
		margin-bottom:10px;
	}
}
@media (max-width:767px) {
.godspeed-locksmith{
	height:100%;
}
	/* 	footer */
	.bbb-part{
		text-align:center;
	}
	.bbb-part a img{
		margin-bottom:10px;
	}
}

@media (max-width:621px) {
   .subscribe {
	   top:-15px;
   		width:95%;
	}
	/* 	footer */
	.bbb-part{
		text-align:center;
	}
	.bbb-part a img{
		margin-bottom:10px;
	}
}

@media (max-width:425px) {
	.marquee span {
		font-size: 50px;
	}

	.marquee2 span {
		font-size: 50px;
	}

	.elementor-element.elementor-element-56d4371 {
		top: 0;
		width: 100%;
	}

	.tss-wrapper .single-item-wrapper .item-content {
		font-size: 15px !important;
		line-height:18px !important;
		text-decoration:unset;
	}
	

	.ast-header-break-point .ast-site-identity {
		width: 50%;
	}
	.subscribe {
   		width:100%;
		top:-70px;
	}
	input#esfpx_email_0fe74ada6116e {
    width: 200px;
	font-size:14px;	
		padding:10px;
}
	input#irgf{
		position:relative;
	}
	.elementor-73 .elementor-element.elementor-element-671727d {
		min-height: 520px;
	}
	
	
/* 	footer */
	.bbb-part{
		text-align:center;
	}
	.bbb-part a img{
		margin-bottom:10px;
	}
}


.text-animate{
	animation: lights 5s 750ms linear infinite;
}
.elementor-widget-image-box .elementor-image-box-wrapper {
    border-radius: 10px;
    overflow: hidden !important;
}

@keyframes lights {
  0% {
    color: hsl(230, 40%, 80%);
    text-shadow: 0 0 1em hsla(320, 100%, 50%, 0.2),
      0 0 0.125em hsla(320, 100%, 60%, 0.3),
      -1em -0.125em 0.5em hsla(40, 100%, 60%, 0),
      1em 0.125em 0.5em hsla(200, 100%, 60%, 0);
  }

  30% {
    color: hsl(230, 80%, 90%);
    text-shadow: 0 0 1em hsla(320, 100%, 50%, 0.5),
      0 0 0.125em hsla(320, 100%, 60%, 0.5),
      -0.5em -0.125em 0.25em hsla(40, 100%, 60%, 0.2),
      0.5em 0.125em 0.25em hsla(200, 100%, 60%, 0.4);
  }

  40% {
    color: hsl(230, 100%, 95%);
    text-shadow: 0 0 1em hsla(320, 100%, 50%, 0.5),
      0 0 0.125em hsla(320, 100%, 90%, 0.5),
      -0.25em -0.125em 0.125em hsla(40, 100%, 60%, 0.2),
      0.25em 0.125em 0.125em hsla(200, 100%, 60%, 0.4);
  }

  70% {
    color: hsl(230, 80%, 90%);
    text-shadow: 0 0 1em hsla(320, 100%, 50%, 0.5),
      0 0 0.125em hsla(320, 100%, 60%, 0.5),
      0.5em -0.125em 0.25em hsla(40, 100%, 60%, 0.2),
      -0.5em 0.125em 0.25em hsla(200, 100%, 60%, 0.4);
  }

  100% {
    color: hsl(230, 40%, 80%);
    text-shadow: 0 0 1em hsla(320, 100%, 50%, 0.2),
      0 0 0.125em hsla(320, 100%, 60%, 0.3),
      1em -0.125em 0.5em hsla(40, 100%, 60%, 0),
      -1em 0.125em 0.5em hsla(200, 100%, 60%, 0);
  }
}

@keyframes flicker {
	0% {
		opacity: 0.5;
		text-shadow: 2px 2px 10px $blue;
	}
	100% {
		opacity: 1;
		text-shadow: 2px 2px 20px $blue;
	}
}

.pulsate-fwd {
	-webkit-animation: pulsate-fwd 1s ease-in-out infinite both;
	        animation: pulsate-fwd 1s ease-in-out infinite both;
}

@-webkit-keyframes pulsate-fwd {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.1);
            transform: scale(1.1);
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}
@keyframes pulsate-fwd {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.1);
            transform: scale(1.1);
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}

